package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class ExampleMain {
    public static void main(String[] args) throws IOException {
        System.out.println("-- Java object to JSON (serialization) --");
        View view = new View();
        view.setRoundRectangle(RoundRectangle.of(5, 7, 2));
        System.out.println("Java object: " + view);

        ObjectMapper om = new ObjectMapper();
        String jsonString = om.writeValueAsString(view);//the arcWith property will be skipped
        System.out.println("JSON string: " + jsonString);

        System.out.println("-- JSON to Java object (deserialization) --");
        View view2 = om.readValue(jsonString, View.class);
        System.out.println("Java Object: " + view2);
    }
}